diff --git a/pandora_console/ChangeLog b/pandora_console/ChangeLog
index 2d2e80e30c..0f0d97c526 100644
--- a/pandora_console/ChangeLog
+++ b/pandora_console/ChangeLog
@@ -1,3 +1,12 @@
+2009-10-29  Miguel de Dios  <miguel.dedios@artica.es>
+
+	* DEBIAN/control, DEBIAN/md5sums, DEBIAN/postinst: debian base files for
+	to make a .deb package.
+	* make_deb_package.sh: shell script for make automatically the debs packages
+	for standard installation in a Debian Lenny, this script make two packages
+	"pandorafms.console_3.0.0.rc1.deb" and "php-xml-rpc_1.5.2-1_all.deb" the
+	rest of packages dependencies is in official Debian repositories.
+	
 2009-10-27  Miguel de Dios  <miguel.dedios@artica.es>
 
 	* include/functions_api.php: extend the funcionality "returnError".
diff --git a/pandora_console/DEBIAN/control b/pandora_console/DEBIAN/control
new file mode 100644
index 0000000000..a545f9fc77
--- /dev/null
+++ b/pandora_console/DEBIAN/control
@@ -0,0 +1,10 @@
+package: PandoraFMS-Console
+Version: 3.0.0.20091028
+Architecture: all
+Priority: optional
+Section: admin
+Installed-Size: 42112
+Maintainer: Miguel de Dios <miguel.dedios@artica.es>
+Homepage: http://pandorafms.org/
+Depends: apache2, mysql-server, libapache2-mod-php5, php5, php5-snmp, php5-gd, php5-mysql, php-pear, php-db, php5-xmlrpc, php-gettext, graphviz, dbconfig-common, php5-ldap, mysql-client
+Description: The Web Console is a web application that allows to see graphical reports, state of every agent, also to access to the information sent by the agent, to see every monitored parameter and to see its evolution throughout the time, to form the different nodes, groups and users of the system. It is the part that interacts with the final user, and that will allows you to administer the system. 
diff --git a/pandora_console/DEBIAN/md5sums b/pandora_console/DEBIAN/md5sums
new file mode 100644
index 0000000000..e69de29bb2
diff --git a/pandora_console/DEBIAN/postinst b/pandora_console/DEBIAN/postinst
new file mode 100755
index 0000000000..5e3ab0207b
--- /dev/null
+++ b/pandora_console/DEBIAN/postinst
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+#I think that all world was online ;) .
+#echo Install PEAR XML/RPC.php PHP Library.
+#pear install XML_RPC
+
+echo Change the user and group to /var/www/pandora_console.
+chmod 755 /var/www/pandora_console -R
+chgrp www-data /var/www/pandora_console -R
+chown www-data /var/www/pandora_console -R
+
+echo Restart the apache.
+/etc/init.d/apache2 restart
diff --git a/pandora_console/make_deb_package.sh b/pandora_console/make_deb_package.sh
new file mode 100644
index 0000000000..9e25d722af
--- /dev/null
+++ b/pandora_console/make_deb_package.sh
@@ -0,0 +1,129 @@
+#!/bin/bash
+
+#Pandora FMS- http:#pandorafms.com
+# ==================================================
+# Copyright (c) 2005-2009 Artica Soluciones Tecnologicas
+# Please see http:#pandorafms.org for full contribution list
+
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the  GNU Lesser General Public License
+# as published by the Free Software Foundation; version 2
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+pandora_console_version="3.0.0.rc1"
+
+echo Test if you has the tools for to make the packages.
+whereis dpkg-deb | cut -d":" -f2 | grep dpkg-deb > /dev/null
+if [ $? = 1 ]
+then
+	echo No found \"dpkg-deb\" aplication, please install.
+	exit 1
+else
+	echo Found \"dpkg-debs\".
+fi
+
+whereis dh-make-pear | cut -d":" -f2 | grep dh-make-pear > /dev/null
+if [ $? = 1 ]
+then
+	echo No found \"dh-make-pear\" aplication, please install.
+	exit 1
+else
+	echo Found \"dh-make-pear\".
+fi
+
+whereis fakeroot | cut -d":" -f2 | grep fakeroot > /dev/null
+if [ $? = 1 ]
+then
+	echo No found \"fakeroot\" aplication, please install.
+	exit 1
+else
+	echo Found \"fakeroot\".
+fi
+
+whereis dpkg-buildpackage | cut -d":" -f2 | grep dpkg-buildpackage > /dev/null
+if [ $? = 1 ]
+then
+	echo No found \"dpkg-buildpackage\" aplication, please install.
+	exit 1
+else
+	echo Found \"dpkg-buildpackage\".
+fi
+
+echo Make a \"temp_package\" temp dir for job.
+mkdir temp_package
+mkdir temp_package/var
+mkdir temp_package/var/www/
+mkdir temp_package/var/www/pandora_console
+
+echo Make directory system tree for package.
+for item in `ls`
+do
+	echo -n "."
+	if [ $item != 'temp_package' -a $item != 'pandora_console.spec' ]
+	then
+		if [ $item = 'DEBIAN' ]
+		then
+			cp $item temp_package -R
+		else
+			cp $item temp_package/var/www/pandora_console -R
+		fi
+	fi
+done
+
+echo ""
+
+echo Remove the SVN files.
+for item in `find temp_package`
+do
+	echo -n "."
+	echo $item | grep "svn" > /dev/null
+	#last command success
+	if [ $? -eq 0 ]
+	then
+		rm -rf $item
+	fi
+done
+
+echo ""
+
+echo Calcule md5sum for md5sums file control of package
+for item in `find temp_package`
+do
+	echo -n "."
+	if [ ! -d $item ]
+	then
+		echo $item | grep "DEBIAN" > /dev/null
+		#last command success
+		if [ $? -eq 1 ]
+		then
+			md5=`md5sum $item | cut -d" " -f1`
+			
+			#delete "temp_package" in the path
+			final_path=${item#temp_package}
+			echo  $md5" "$final_path >> temp_package/DEBIAN/md5sums
+		fi
+	fi
+done
+
+echo ""
+
+echo Make the package \"Pandorafms console\".
+dpkg-deb --build temp_package
+mv temp_package.deb pandorafms.console_$pandora_console_version.deb
+
+
+echo Make the package \"php-xml-rpc\".
+cd temp_package
+dh-make-pear --maintainer "Miguel de Dios <miguel.dedios@artica.es>" XML_RPC
+cd php-xml-rpc-*
+dpkg-buildpackage -rfakeroot
+cd ..
+mv php-xml-rpc*.deb ..
+cd ..
+
+echo Delete the \"temp_package\" temp dir for job.
+rm -rf temp_package